Offer of a thing

### Type parameters

- #### T: SCPriceGroup

### Hierarchy

- SCInPlace
  - SCThingThatCanBeOfferedOffer

## Index

### Properties

- availability
- availabilityEnds
- availabilityStarts
- inPlace
- prices
- provider

## Properties

### availability

availability: SCThingThatCanBeOfferedAvailability

- Defined in node_modules/@openstapps/core/lib/index.d.ts:622

Availability of an offer

### Optional availabilityEnds

availabilityEnds: SCISO8601Date

- Defined in node_modules/@openstapps/core/lib/index.d.ts:626

The time when the thing becomes unavailable as an SCISO8601Date formatted string.

### Optional availabilityStarts

availabilityStarts: SCISO8601Date

- Defined in node_modules/@openstapps/core/lib/index.d.ts:630

The time when the thing becomes available as an SCISO8601Date formatted string.

### Optional inPlace

inPlace: SCBuildingWithoutReferences | SCPointOfInterestWithoutReferences | SCRoomWithoutReferences

Inherited from SCInPlace.inPlace

- Defined in node_modules/@openstapps/core/lib/index.d.ts:5020

Place the thing is or happens in

### prices

prices: T

- Defined in node_modules/@openstapps/core/lib/index.d.ts:634

List of prices that are distinct for specific groups

### provider

provider: SCThingThatCanBeOfferedProvider

- Defined in node_modules/@openstapps/core/lib/index.d.ts:638

Provider of an offer

Generated using TypeDoc